Bug 13209 - build psi new version
: build psi new version
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/psi)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-10-24 12:43 by
Modified: 2008-05-30 12:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-10-24 12:43:20
есть новости про psi.

1. вышел релиз Psi 0.11 Released! October 15, 2007

2. надо поменять урл в пакете, потому что тот старый что сейчас указан уже не
ресолвится. поставить http://psi-im.org/

3. как-то поменять psi0.11 на psi, а старый psi выкинуть. а то странно, если при
релизном 0.11 по имени psi будут находить версию черт знает какой давности..
------- Comment #1 From 2007-10-24 12:43:54 -------
а, да и еще - переложить паакет с релизным psi 0.11 в бранч ;)
------- Comment #2 From 2007-10-24 15:07:17 -------
уже в курсе, занимаюсь

> а, да и еще - переложить паакет с релизным psi 0.11 в бранч ;)

сомневаюсь, что это стоит делать
------- Comment #3 From 2007-10-25 10:18:40 -------
кстати, проблема когда-то появилась (есть и сейчас в версии 0.11-rc2, которая
сейчас в бранче)

запускаю. все работает. приходят события. значок в трее есть. использую desktop
4 и KDE из него.

события отображаются на значке в трее. но открыть их сразу - невозможно.
чтобы открыть, надо
 - или открыть главное окно и там щелкнуть два раза внизу на "событий
:столько-то"
 - или щелкнуть правой кнопкой на значке в трее и выбрать "получить следующее
событие".

а раньше было достаточно щелкнуть два раза на значке в трее и открывалось
первое
 из очереди событий.
если событий в очереди не было - открывалось главное окно.

проверьте это на новой версии (релиз 0.11), пожалуйста.
------- Comment #4 From 2007-10-27 19:44:20 -------
Забрал все-таки себе
------- Comment #5 From 2007-10-27 19:55:12 -------
Отчитываюсь по тому, что было проделано.

В двух словах - все плохо. Подробнее:

1. Перевод сейчас весьма средненький, надо все опять вычитывать.
2. Не работают ad-hoc команды - вообще никак. Ни сам себя, ни сам такого же, ни
сам <=> psi 0.10+ad-hoc patch.
3. Плохо и очень загадочно работает соединение с jabberd1.4, в частности, с
altlinux.org: причем, судя по логам, дело даже не в аутентификации - она как раз
проходит, и legacy SSL, и старый digest. Усугубляется это тем, что у некоторых
все работает (насколько я понял, rider@, например, пользуется этим постоянно), у
меня заработало целый один раз - как получилось - я не понял - с тех пор
повторить не получилось. Предыдущий глюк с длинной паузой на bookmarks, видимо,
выродился в такое вот.
4. Аутентификация тоже работает достаточно загадочно: почему-то при выборе
чистой plain text аутентификации идет все равно digest. В случае сервисов вроде
gmail/livejournal это не проявляется, т.к. оно внутри TLS идет (уже по другой
ветке - там все работает), но вообще ничего хорошего в этом нет.
5. Загадочно работает GPG-аутентификация - почему-то с нашим gnupg оно не хочет
получать список ключей.

Плюсы, которые я пока вижу:

1. Интерфейс для настройки keyboard shortcuts.

> а раньше было достаточно щелкнуть два раза на значке в трее и открывалось
> первое из очереди событий. если событий в очереди не было - открывалось
> главное окно.

Это настраивается отдельной настройкой. У меня, скажем, настроен прием этих
сообщений средней кнопкой мыши.
------- Comment #6 From 2007-10-28 02:14:09 -------
Миша, так всё-таки забрал и собрал или нет ?
Ad-Hoc мне лично не нужен. А с altlinux.org - пользуюсь постоянно, всё работает.
------- Comment #7 From 2007-10-28 14:00:57 -------
> Миша, так всё-таки забрал и собрал или нет ?

Собрать - собрал для себя полторы недели назад, пользуюсь попеременно, пытаясь
понять, насколько оно пригодно к использованию.

Насчет забрать - не понял. Баг на себя забрал. Пакет psi и так вроде бы на мне
висит. Пакет psi0.11 не на мне, забрать его не могу хотя бы формально, да и по
логике вещей - тоже делать этого смысла нет.

> Ad-Hoc мне лично не нужен. А с altlinux.org - пользуюсь постоянно, всё работает.

Ну, собственно, вопрос ровно в том, что есть некое количество людей с некоторым
количеством желаний/претензий - кому-то все это надо решать/разруливать. В
идеале, чтобы был один пакет и хорошо было всем.

Работы там объективно много (как минимум - те пункты, что я перечислил). Вопрос
- кто будет этим заниматься:

1) Я могу сам, но не могу обещать, что буду это делать достаточно быстро.
2) Я не против целиком отдать пакет, если кто-то возьмется за описанные проблемы
и порешает их более оперативно, чем я.
3) Взяться за их решение вместе - единственное, я не представляю, как это
сделать организационно.

Соответственно, с пакетами можно сделать:
1. Оставить, как есть (psi=0.10 и psi0.11),
2. Выкинуть psi=0.10 и psi0.11, оставить один только psi=0.11,
3. Произвести рокировку psi->psi0.10, psi0.11->psi.

Какое решение хочет видеть общественность?
------- Comment #8 From 2007-10-28 14:05:17 -------
Добавил rider@ в Cc
------- Comment #9 From 2008-01-31 14:00:16 -------
*** Bug 14259 has been marked as a duplicate of this bug. ***
------- Comment #10 From 2008-02-01 09:23:25 -------
Если pdi 0.11 уже нормально юзабельная, то:
2. Выкинуть psi=0.10 и psi0.11, оставить один только psi=0.11,

Так когда всё-таки можно ожидать релиза?
------- Comment #11 From 2008-02-04 08:27:39 -------
 перевод сейчас доступен от оригинального автора:
http://psi-im.org/download/lang/ru
Перевод: Русский
Авторы:
Михаил Пищагин
altlinux,.org тем временем переехал на ejabberd по моей информации.
в 0.11-rc2 с аутентификацией как на gtalk, так и на jabber.ru у меня все ок.
------- Comment #12 From 2008-03-06 19:59:42 -------
В Сизифе уже 0.12
$ rpm -q psi
psi-0.12-alt1.svn1064
------- Comment #13 From 2008-03-06 20:27:10 -------
да, можно закрыаать.